fbpx

Solid Edge ST5 System Requirements and Information

Solid Edge stops certifying new releases against an operating system shortly after Microsoft drops mainstream support for it. Microsoft dropped mainstream support for XP in April 2009. Solid Edge ST4 was the last version to install on Windows XP. Solid Edge ST5 will not install on XP.

Solid Edge ST5 System Requirements and Information

Operating System Requirements and Information to run Solid Edge ST5

This release of Solid Edge has been certified to run on the following:

  • Windows 7 Enterprise, Ultimate, or Professional (32-bit or 64-bit) with Service Pack 1
  • Windows Vista Business or Vista Enterprise operating system (32-bit or 64-bit) with Service Pack 2
  • Internet Explorer 9 (IE 6.0 meets minimum requirements)

Solid Edge stops certifying new releases against an operating system shortly after Microsoft drops mainstream support for it. Microsoft dropped mainstream support for XP in April 2009.  Solid Edge ST4 was the last version to install on Windows XP. Solid Edge ST5 will not install on XP.

Get the latest tips, software updates and promos.

Leave a Reply

Your email address will not be published. Required fields are marked *

Fill out this field
Fill out this field
Please enter a valid email address.

Menu